mobilebackup2_client_free
mobilebackup2_client_new
mobilebackup2_client_start_service
mobilebackup2_client_t
mobilebackup2_error_t
mobilebackup2_receive_message
mobilebackup2_receive_raw
mobilebackup2_send_message
mobilebackup2_send_raw
mobilebackup2_send_request
mobilebackup2_send_status_response
MOBILEBACKUP2_SERVICE_NAME
mobilebackup2_version_exchange

## mobilebackup2_client_new()

LIBIMOBILEDEVICE_API mobilebackup2_error_t mobilebackup2_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | mobilebackup2_client_t * | client )

Connects to the mobilebackup2 service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated mobilebackup2_client_t upon successful return.

Returns
  MOBILEBACKUP2_E_SUCCESS on success, MOBILEBACKUP2_E_INVALID ARG if one or more parameter is invalid, or MOBILEBACKUP2_E_BAD_VERSION if the mobilebackup2 version on the device is newer.